<?php if(!defined('PLX_ROOT')) exit;

plxToken::validateFormToken($_POST);
$pluginName = get_class($plxPlugin);
$plxPlugin->loadKikan();

if(!empty($_POST))
{
	$aFormat = array('Y-m-d','d/m/Y','d-m-Y'); // Les formats de date autorisés

	// On créé ou modifie un kikan
	if(isset($_POST['kikanId']))
	{
		$kikanId 		= $_POST['kikanId'];
		$title 			= plxUtils::strCheck($_POST['title']);

		if(empty($title))
		{
			plnToolBox_v1::addMsg($plxPlugin->getLang('L_ERROR_TITLE'));
			if($kikanId == 'nouveau') 	header('Location: plugin.php?p='.$pluginName.'&newkikan');
			else 				header('Location: plugin.php?p='.$pluginName.'&kikanedit='.$kikanId);
			exit;
		}

		$description 	= plxUtils::strCheck($_POST['description']);

		// Peut-on gérer la notion de kikan privé ?
		if(class_exists('plnExtendedJurisdiction') OR class_exists('lockArticles') OR class_exists('adhesion'))
		{
			$lockable	= true;
			$isPrivate	= isset($_POST['isPrivate']) ? true : false;
			$privateProfiles= ($plxPlugin::$isPrivacyPossible)?plxUtils::strCheck($_POST['privateProfiles']):'';
		}
		// Nouveau kikan ?
		if($kikanId == 'nouveau')
		{
			$id=$plxPlugin->newKikan($title,$description);
			if($lockable)
			{
				$plxPlugin->aKikan[$id]['isPrivate'] 		= $isPrivate;
				$plxPlugin->aKikan[$id]['privateProfiles'] 	= $privateProfiles;
			}
			$plxPlugin->aKikan[$id]['nbDates']			= $plxPlugin->getParam('nbDates') == ''    ? 10 : $plxPlugin->getParam('nbDates');

			$typeKikan = plxUtils::strCheck($_POST['typeKikan']);
			if($typeKikan =='kikan')
				$plxPlugin->aKikan[$id]['nbHoraires']	= $plxPlugin->getParam('nbHoraires') == ''    ? 3 : $plxPlugin->getParam('nbHoraires');

			$plxPlugin->aKikan[$id]['typeKikan'] 		= $typeKikan;
			$plxPlugin->saveKikan();#model
			header('Location: plugin.php?p='.$pluginName.'&kikanedit='.$id);
		}
		else // Modification d'un kikan
		{
			$type = $plxPlugin->aKikan[$kikanId]['typeKikan'];//kikoi kikan
			$nbDates = plxUtils::strCheck($_POST['NbDates']);
			$nbHoraires = plxUtils::strCheck($_POST['NbHoraires']);
			$plxPlugin->aKikan[$kikanId]['title'] 		= $title;
			$plxPlugin->aKikan[$kikanId]['description'] = $description;
			$plxPlugin->aKikan[$kikanId]['nbDates'] 	= $nbDates;
			$plxPlugin->aKikan[$kikanId]['nbHoraires'] 	= $nbHoraires;
			if($lockable)
			{
				$plxPlugin->aKikan[$kikanId]['isPrivate'] 	= $isPrivate;
				$plxPlugin->aKikan[$kikanId]['privateProfiles'] = $privateProfiles;
			}
			$plxPlugin->aKikan[$kikanId]['dates']		= array();
			for($i=0;$i<$nbDates;$i++){
				if(!empty($_POST['date_'.$i]))
				{
					$date = $_POST['date_'.$i];
					#kikan
					if($type == 'kikan')
					{
						foreach($aFormat as $format)
						{
							$d = DateTime::createFromFormat($format,$date);
							if($d !== false) break;
						}

						// Il faut valider que la date est cohérente
						if($d && $d->format($format) == $date)
						{
							$date = $d->format('Y-m-d');
							$plxPlugin->aKikan[$kikanId]['dates'][$date] = array();
							for($j=0;$j<$nbHoraires;$j++)
								if(!empty($_POST['horaire_'.$i.'_'.$j]))
									$plxPlugin->aKikan[$kikanId]['dates'][$date][$j] = plxUtils::strCheck($_POST['horaire_'.$i.'_'.$j]);
						}

					}

					#kikoi
					elseif($type == 'kikoi')
					{
/*
						foreach($aFormat as $format)
						{
							$d = DateTime::createFromFormat($format,$date);
							if($d !== false) break;
						}
*/
						// Il faut valider que le champ est remplis
						if(!empty($date))
						{
							$date = plxUtils::strCheck($date);
							$plxPlugin->aKikan[$kikanId]['dates'][$date] = array();
							for($j=0;$j<$nbHoraires;$j++)
								if(!empty($_POST['horaire_'.$i.'_'.$j]))
									$plxPlugin->aKikan[$kikanId]['dates'][$date][$j] = plxUtils::strCheck($_POST['horaire_'.$i.'_'.$j]);
						}

					}
				}
			}
			// S'il y a au moins 1 date dans le kikan, on peut éventuellement réfléchir à publier le kikan...
			if(isset($_POST['isPublié']))
			{
				if(empty($plxPlugin->aKikan[$kikanId]['dates']))
				{
					plnToolBox_v1::addMsg($plxPlugin->getLang('L_ADMIN_ERR_PUBLICATION'));
					$plxPlugin->aKikan[$kikanId]['status'] = '0';#draft (brouillon)
				}
				else
					$plxPlugin->aKikan[$kikanId]['status'] = '1';#published (publié)
			}
			else
				$plxPlugin->aKikan[$kikanId]['status'] = '0';#draft (brouillon)

			if($plxPlugin->saveKikan())# On écrit le fichier 'model' data.xml
				plxMsg::Info(L_SAVE_SUCCESSFUL);
			else
				plxMsg::Error(L_SAVE_ERR);
//var_dump(__FILE__,__LINE__,$_POST);EXIT;
			header('Location: plugin.php?p='.$pluginName.'&kikanedit='.$kikanId);
		}
		exit;
	}
	// On veut supprimer des kikans
	if(!empty($_POST['selection']) and $_POST['selection']=='delete' and isset($_POST['checkbox']))
	{
		foreach($_POST['checkbox'] as $kikanId)
			$plxPlugin->deleteKikan($kikanId);#model & choix
		$plxPlugin->saveKikan();#model
		header('Location: plugin.php?p='.$pluginName);
		exit;
	}
}

$Token =  plxToken::getTokenPostMethod();

// La page demandée :
$Type = 'kikanlist';
$Page = 'kikanlist';
if(isset($_GET))
{
	if(isset($_GET['newkikan']))
	{
		$Type	 = 'newkikan';
		$Page 	 = 'kikanedit';
	}
	elseif(isset($_GET['kikanedit']))
	{
		$KikanId = $_GET['kikanedit'];
		if(isset($plxPlugin->aKikan[$KikanId]))#Fix Shift lang with plxMyMultiLingue (on edit one in other lang) : return to list (in new lang)
		{
			$Type	 = 'kikanedit';
			$Page	 = 'kikanedit';
		}
	}
}
?>
<div class="<?php echo $pluginName ?>">
<?php include('admin_'.$Page.'.php');#display submits in first #in DOM ?>
	<div class="in-action-bar">
		<h2 id="title_config" class="text-center"><?php $plxPlugin->lang('L_ADMIN_KI_TITLE')?></h2>
		<nav role="navigation">
			<span>
				<a href="plugin.php?p=<?php echo $pluginName ?>"<?php if($Type == 'kikanlist') echo ' class="selected"';?>>
				<?php $plxPlugin->lang('L_ADMIN_KI_LIST')?></a>&nbsp;|&nbsp;
			</span>
			<span>
				<a href="plugin.php?p=<?php echo $pluginName ?>&amp;newkikan"<?php if($Type == 'newkikan') echo ' class="selected"';?>>
				<?php $plxPlugin->lang('L_ADMIN_NEW_KI')?></a>
			</span>
		</nav>
	</div>
</div>