<?php
if(!defined('PLX_ROOT')) exit;

# Control du token du formulaire
$pluginName = get_class($plxPlugin);
# La classe plnExtendedJurisdiction existe-t-elle ?
# Si on a des arguments POST, c'est que l'utilisateur a demandé à enregistrer les nouveaux paramètres.
# On enregistre donc.
if(!empty($_POST))
{
	plxToken::validateFormToken($_POST);
	$plxPlugin->setParam('droitAcces',	plxUtils::strCheck($_POST['droitAcces']),'string');
	$plxPlugin->setParam('adminMeNum',	plxUtils::strCheck($_POST['adminMeNum']),'numeric');
	$plxPlugin->setParam('template',	plxUtils::strCheck($_POST['template']),'string');
	$plxPlugin->setParam('inStaticList',	plxUtils::strCheck($_POST['inStaticList']),'string');
	$plxPlugin->setParam('redCircle',	plxUtils::strCheck($_POST['redCircle']),'numeric');
	$plxPlugin->setParam('mayCircle',	plxUtils::strCheck($_POST['mayCircle']),'numeric');
	$plxPlugin->setParam('yesCircle',	plxUtils::strCheck($_POST['yesCircle']),'numeric');
	if($plxPlugin::$isPrivacyPossible OR $plxPlugin::$lockArticles OR $plxPlugin::$adhesion){
		$plxPlugin->setParam('isPrivate',	plxUtils::strCheck($_POST['isPrivate']),'string');
		$plxPlugin->setParam('privateProfiles', trim(plxUtils::strCheck($_POST['privateProfiles'])),'string');
	}
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p='.$pluginName);
	exit;
}

# Quel template l'utilisateur utilise-t-il actuellement ?
$template 				= $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');
# L'administrateur veut-il que la position du menu les Kikan soit ou ds la liste de l'admin ?
$adminMeNum 			= $plxPlugin->getParam('adminMeNum')<'0' ? '' : $plxPlugin->getParam('adminMeNum');
# L'administrateur veut-il que le lien pointant vers les Kikan soit dans la liste des pages statiques ?
$inStaticList 			= $plxPlugin->getParam('inStaticList')=='' ? 'true' : $plxPlugin->getParam('inStaticList');
# Les Kikan sont-ils privés (plugin plnExtendedJurisdiction nécessaire)
$isPrivate = ($plxPlugin->getParam('isPrivate') != 'false') ? true : false;
$privateProfiles = $plxPlugin->getParam('privateProfiles');
$classPrivate = $plxPlugin::$isPrivacyPossible OR $plxPlugin::$lockArticles OR $plxPlugin::$adhesion ? '' : 'disabled';

# On récupère n'ensemble des templates des pages statiques
$files = plxGlob::getInstance(PLX_ROOT.'themes/'.$plxAdmin->aConf['style']);
if ($array = $files->query('~^static(-[a-z0-9-_]+)?\.php$~')) {
	foreach($array as $k=>$v)
		$aTemplates[$v] = $v;
}

# On prépare la liste des profils utilisateurs possibles
$adroitAcces = array(	PROFIL_ADMIN 		=> L_PROFIL_ADMIN,#'Administrateur'
			PROFIL_MANAGER 		=> L_PROFIL_MANAGER,#'Gestionnaire'
			PROFIL_MODERATOR 	=> L_PROFIL_MODERATOR,#'Modérateur'
			PROFIL_EDITOR 		=> L_PROFIL_EDITOR,#'Éditeur'
			PROFIL_WRITER 		=> L_PROFIL_WRITER,#'Rédacteur'
		);

# On construit des array de "oui"/"non"
$aYN = array(1=>L_YES,0=>L_NO);
$aYNPrv	 = $aYN;
$aYNPrv['404'] = '404';
$aYesNo	 = array();
$aYesNo['true'] = L_YES.', '.$plxPlugin->getlang('L_ALWAYS');
$aYesNo['private'] = L_YES.', '.$plxPlugin->getlang('L_IF_CONNECTED');
$aYesNo['false'] = L_NO;
?>
<style>a.hint span{max-width:460px;}</style>
<div class="<?php echo $pluginName ?>">
	<h2 class="hide"><?php echo $plxPlugin->getInfo('title') ?></h2>
	<br class="hide" />
	<form action="parametres_plugin.php?p=<?php echo $pluginName ?>" method="post">
		<fieldset class="grid">
			<div class="col sml-12 med-4 field"><label for="id_droitAcces"><?php $plxPlugin->lang('L_CONFIG_DROIT_ACCES') ?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_HELP_DROIT_ACCES')?></span></a>&nbsp;:</label></div>
			<div class="col sml-12 med-8 field"><?php plxUtils::printSelect('droitAcces', $adroitAcces, $plxPlugin->getParam('droitAcces')) ?>
			</div>
		</fieldset>
		<fieldset class="grid">
			<div class="col sml-12 med-4 field"><label for="id_adminMeNum"><?php $plxPlugin->lang('L_ADMINMENUM') ?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_HELP_ADMINMENUM')?></span></a>&nbsp;:</label></div>
			<div class="col sml-12 med-8 field"><?php plxUtils::printinput('adminMeNum', $adminMeNum, 'number', '2-3') ?>
			</div>
		</fieldset>
		<fieldset class="grid">
			<div class="col sml-12 med-4 field"><label for="id_template"><?php $plxPlugin->lang('L_TEMPLATE') ?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_HELP_TEMPLATE')?></span></a>&nbsp;:</label></div>
			<div class="col sml-12 med-8 field"><?php plxUtils::printSelect('template', $aTemplates, $template) ?>
			</div>
		</fieldset>
		<fieldset class="grid">
			<div class="col sml-12 med-4 field"><label for="id_inStaticList"><?php $plxPlugin->lang('L_INSTATICLIST') ?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_HELP_INSTATICLIST')?></span></a>&nbsp;:</label></div>
			<div class="col sml-12 med-8 field"><?php plxUtils::printSelect('inStaticList', $aYesNo, $inStaticList) ?>
			</div>
		</fieldset>
		<fieldset class="grid">
			<div class="col sml-12 med-4 field"><label><?php $plxPlugin->lang('L_WITHCIRCLE');?>&nbsp;<a class="hint help"><span><?php $plxPlugin->lang('L_WITHCIRCLE_HELP')?></span></a>&nbsp;:</label></div>
			<div class="col sml-12 med-2 field">
				<?php $plxPlugin->lang('L_RED')?>&nbsp;:&nbsp;<?php plxUtils::printSelect('redCircle', $aYN, $plxPlugin->getParam('redCircle')) ?>
			</div>
			<div class="col sml-12 med-2 field">
				<?php $plxPlugin->lang('L_YELLOW')?>&nbsp;:&nbsp;<?php plxUtils::printSelect('mayCircle', $aYN, $plxPlugin->getParam('mayCircle')) ?>
			</div>
			<div class="col sml-12 med-2 field">
				<?php $plxPlugin->lang('L_GREEN')?>&nbsp;:&nbsp;<?php plxUtils::printSelect('yesCircle', $aYN, $plxPlugin->getParam('yesCircle')) ?>
			</div>
		</fieldset>
		<fieldset class="grid">
			<div class="col sml-12 med-4 field"><label class="<?php echo $classPrivate ?>" for="private"><?php $plxPlugin->lang('L_ADMIN_PRIVATE_ALL')?>&nbsp;<?php
			 $inputype='text';
			 if($plxPlugin::$isPrivacyPossible) {
				?><a class="hint help"><span><?php $plxPlugin->lang('L_HELP_PRIVATE_ALL')?></span></a><?php
			 } elseif($plxPlugin::$lockArticles OR $plxPlugin::$adhesion) { $inputype='hidden';//hide privateProfiles input
				?><a class="hint help"><span><?php $plxPlugin->lang('L_HELP_INSTALL_LOCK')?></span></a><?php
			 } else {
				?><a class="hint help"><span><?php $plxPlugin->lang('L_HELP_INSTALL_PRIVATE')?></span></a><?php
			 }
			?>&nbsp;:</label></div>
			<div class="col sml-12 med-8 field">
				<?php plxUtils::printSelect('isPrivate', $aYNPrv, $plxPlugin->getParam('isPrivate')) ?><a class="hint help"><span><?php $plxPlugin->lang('L_HELP_INSTALL_404')?></span></a>
			</div>
		</fieldset>
		<fieldset class="grid">
			<div class="col sml-12 field" <?php echo $plxPlugin::$isPrivacyPossible ? ' style="display:none"' : '' ?>>
				<?php plxUtils::printInput('privateProfiles', $privateProfiles, $inputype, '50-255', $plxPlugin::$isPrivacyPossible ? false : true, $classPrivate.'" placeholder="'.$plxPlugin->getLang('L_ADMIN_PRIVATE_ALL')); ?>
			</div>
		</fieldset>
		<span class="in-action-bar" style="z-index:1">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit-save" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
		</span>
	</form>
</div>